Bug 843646 - Review Request: sugar-india - Game about the geography of India
Review Request: sugar-india - Game about the geography of India
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-26 17:10 EDT by Danishka Navin
Modified: 2016-08-06 19:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review?

Attachments (Terms of Use)

  None (edit)
Description Danishka Navin 2012-07-26 17:10:54 EDT
Spec URL: http://snavin.fedorapeople.org/packages/sugar-india/sugar-india.spec

SRPM URL: http://snavin.fedorapeople.org/packages/sugar-india/sugar-india-2-2.fc17.src.rpm


Game about the geography of India. This first version only include the name of states and capital cities. 


Fedora Account System Username: snavin
Comment 1 Michael Scherer 2012-07-27 06:32:21 EDT

while doing the review, I noted the font embedded is non free :

http://www.dafont.com/share-regular.font ( and the code speak of urbanfonts.com but the font is not there ).

The bundled sound is also under creative common license, but that's not clear of the version and type of CC ( http://www.freesound.org/people/junggle/sounds/29297/ ). Ie CC-BY-NC would not be ok.

There is also some bundled code ( sugargame ) and I think there is a missing requires on pygame.

And since there is bundled flag, I think a exception should be granted by FESCO :

Anyway :

Package Review

- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[!]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[!]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)" For detailed output of licensecheck see file:
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
[x]: SHOULD SourceX tarball generation or download is documented.
[-]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (i_know_india-2.xo)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
[x]: SHOULD Spec use %global instead of %define.

[!]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)" For detailed output of licensecheck see file:
[!]: MUST Package contains no bundled libraries.

Checking: sugar-india-2-2.fc17.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
Cannot parse rpmlint output:
sugar-india-2-2.fc17.noarch.rpm (rpmlib, GLIBC filtered):

    sugar-india = 2-2.fc17

MD5-sum check
http://download.sugarlabs.org/activities/4587/i_know_india-2.xo :
  MD5SUM this package     : a323c992d2d9866a6073d98db0e77725
  MD5SUM upstream package : a323c992d2d9866a6073d98db0e77725

Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 843646
External plugins:
Comment 2 Michael Scherer 2012-07-27 06:42:16 EDT
Also, mathieu Bridon ( bochecha ) told me on irc that this would be a rather touchy subject, since India and neighboring country do not agree on their own borders. Not sure if that important in the OLPC project.
Comment 3 Michael Scherer 2012-07-27 06:56:40 EDT
It seems the flag policy is not in effect, so that part should be good, even if I would prefer to have a 2nd opinion from FESCO.
Comment 4 Danishka Navin 2013-06-04 05:03:28 EDT

Shall I proceed this bug?
Comment 5 Michael Scherer 2013-06-04 09:43:53 EDT
There is various issues around bundling to fix, so I think you need to find a fix for them first to have it approved.

I am not fully sure to understand your question.

Note You need to log in before you can comment on or make changes to this bug.